GDatabox::Graph Class Reference

`#include <gtkdataboxmm/graph.h>`

Inheritance diagram for GDatabox::Graph:
[legend]

## Public Member Functions

virtual | ~Graph ()
GtkDataboxGraph* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkDataboxGraph* | gobj () const
| Provides access to the underlying C GObject. More...
GtkDataboxGraph* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_hide (bool hide)
| Hidden graphs are not shown, when the Gtk::Databox containing them is redrawn. More...
bool | get_hide ()
| Gets the current "hide" status. More...
void | set_color (const Gdk::Color& color) const
| Sets the color which the Gtk::DataboxGraph object is supposed to be using when drawing itself. More...
void | set_size (int size)
| Sets the size (e.g. line width) which the Gtk::DataboxGraph object is supposed to be using when drawing itself. More...
int | get_size () const
| Gets the size of the graph elements (e.g. the line width). More...
int | calculate_extrema (float& min_x, float& max_x, float& min_y, float& max_y)
| Virtual function which determines the minimum and maximum x and y values of the values of this Gtk::DataboxGraph object if applicable (there are graphs which do not contain data). More...
Glib::PropertyProxy< Gdk::Color > | property_color ()
| Color of graph. More...
Glib::PropertyProxy_ReadOnly< Gdk::Color > | property_color () const
| Color of graph. More...
Glib::PropertyProxy< int > | property_size ()
| Size of displayed items. More...
Glib::PropertyProxy_ReadOnly< int > | property_size () const
| Size of displayed items. More...
Glib::PropertyProxy< bool > | property_hide ()
| Determine if graph is hidden or not. More...
Glib::PropertyProxy_ReadOnly< bool > | property_hide () const
| Determine if graph is hidden or not. More...

## Protected Member Functions

| Graph ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< GDatabox::Graph > | wrap (GtkDataboxGraph* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

## ~Graph()

virtual GDatabox::Graph::~Graph | ( |  | ) |

virtual

## Graph()

GDatabox::Graph::Graph | ( |  | ) |

protected

## Member Function Documentation

## calculate_extrema()

int GDatabox::Graph::calculate_extrema | ( | float & | min_x,
|  | float & | max_x,
|  | float & | min_y,
|  | float & | max_y
| ) |  |

Virtual function which determines the minimum and maximum x and y values of the values of this Gtk::DataboxGraph object if applicable (there are graphs which do not contain data).

Parameters

  min_x | Will be filled with the lowest x value of the dataset.
  max_x | Will be filled with the highest x value of the dataset.
  min_y | Will be filled with the lowest y value of the dataset.
  max_y | Will be filled with the highest y value of the dataset.

Returns
  0 on success, -1 if no data is available,.

## get_hide()

bool GDatabox::Graph::get_hide | ( |  | ) |

Gets the current "hide" status.

Returns
  Whether the graph is hidden (true) or not (false).

## get_size()

int GDatabox::Graph::get_size | ( |  | ) | const

Gets the size of the graph elements (e.g. the line width).

Returns
  Size of the graph elements.

## gobj() [1/2]

GtkDataboxGraph* GDatabox::Graph::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const GtkDataboxGraph* GDatabox::Graph::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

GtkDataboxGraph* GDatabox::Graph::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## property_color() [1/2]

Glib::PropertyProxy< Gdk::Color > GDatabox::Graph::property_color | ( |  | ) |

Color of graph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_color() [2/2]

Glib::PropertyProxy_ReadOnly< Gdk::Color > GDatabox::Graph::property_color | ( |  | ) | const

Color of graph.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_hide() [1/2]

Glib::PropertyProxy< bool > GDatabox::Graph::property_hide | ( |  | ) |

Determine if graph is hidden or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_hide() [2/2]

Glib::PropertyProxy_ReadOnly< bool > GDatabox::Graph::property_hide | ( |  | ) | const

Determine if graph is hidden or not.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_size() [1/2]

Glib::PropertyProxy< int > GDatabox::Graph::property_size | ( |  | ) |

Size of displayed items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## property_size() [2/2]

Glib::PropertyProxy_ReadOnly< int > GDatabox::Graph::property_size | ( |  | ) | const

Size of displayed items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## set_color()

void GDatabox::Graph::set_color | ( | const Gdk::Color & | color | ) | const

Sets the color which the Gtk::DataboxGraph object is supposed to be using when drawing itself.

Parameters

  color | Color which is to be used by the graph object.

## set_hide()

void GDatabox::Graph::set_hide | ( | bool | hide | ) |

Hidden graphs are not shown, when the Gtk::Databox containing them is redrawn.

Parameters

  hide | Declares whether should be hidden (true) or not (false).

## set_size()

void GDatabox::Graph::set_size | ( | int | size | ) |

Sets the size (e.g. line width) which the Gtk::DataboxGraph object is supposed to be using when drawing itself.

Parameters

  size | Size of graph elements for the graph object.

## Friends And Related Function Documentation

## wrap()

Glib::RefPtr< GDatabox::Graph > wrap | ( | GtkDataboxGraph * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkdataboxmm/graph.h